## ros-kinetic-mcl-3dl-msgs 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mcl_3dl_msgs)

set(MESSAGE_DEPENDS
  std_msgs
)

find_package(catkin REQUIRED COMPONENTS message_generation ${MESSAGE_DEPENDS})

add_service_files(
  FILES
    ResizeParticle.srv
)
add_message_files(
  FILES
    Status.msg
)
generate_messages(DEPENDENCIES ${MESSAGE_DEPENDS})
catkin_package(CATKIN_DEPENDS message_runtime ${MESSAGE_DEPENDS})

=== debian/changelog ===
ros-kinetic-mcl-3dl-msgs (0.2.0-1xenial) xenial; urgency=high

  * Update assets to v0.0.6 (#11 <https://github.com/at-wat/mcl_3dl_msgs/issues/11>)
  * Update assets to v0.0.5 (#10 <https://github.com/at-wat/mcl_3dl_msgs/issues/10>)
  * Add catkin/bloom release action (#8 <https://github.com/at-wat/mcl_3dl_msgs/issues/8>)
  * Expose internal errors (#7 <https://github.com/at-wat/mcl_3dl_msgs/issues/7>)
  * Refactor CI scripts (#6 <https://github.com/at-wat/mcl_3dl_msgs/issues/6>)
  * Fix package dependencies (#5 <https://github.com/at-wat/mcl_3dl_msgs/issues/5>)
  * Add test on ROS Melodic (#4 <https://github.com/at-wat/mcl_3dl_msgs/issues/4>)
  * Contributors: Atsushi Watanabe, Daiki Maekawa

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 16 Jan 2020 00:00:00 -0000

ros-kinetic-mcl-3dl-msgs (0.1.2-1xenial) xenial; urgency=high

  * Fix runtime dependency (https://github.com/at-wat/mcl_3dl_msgs/issues/3)
  * Fix package dependency (https://github.com/at-wat/mcl_3dl_msgs/issues/2)
  * Build messages and services
  * Initial drop from mcl_3dl package
  * Support variable particle size (https://github.com/at-wat/mcl_3dl/issues/78)
    
      * Support variable particle size.
      * Add service to change particle size.
      * Add test for resizeParticle.
    
  * Add localization status output (https://github.com/at-wat/mcl_3dl/issues/120)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 12 Jun 2018 00:00:00 -0000

=== debian/control ===
Source: ros-kinetic-mcl-3dl-msgs
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-mcl-3dl-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Description: The mcl_3dl message definition package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-mcl-3dl-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
